# -*- coding: utf-8 -*-
# Generated by Django 1.9.8 on 2016-07-30 10:10
from __future__ import unicode_literals

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion
import uuid


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='Payment',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('order_id', models.CharField(db_index=True, editable=False, max_length=50, unique=True, verbose_name='Номер заказа')),
                ('customer_id', models.UUIDField(default=uuid.uuid4, editable=False, unique=True, verbose_name='Номер плательщика')),
                ('state', models.CharField(choices=[('created', 'Created'), ('processed', 'Processed'), ('success', 'Success'), ('fail', 'Fail')], default='created', editable=False, max_length=16, verbose_name='Статус')),
                ('payment_type', models.CharField(choices=[('AB', 'Альфа-Клик'), ('AC', 'Банковская карта'), ('GP', 'Наличные через терминал'), ('MA', 'MasterPass'), ('MC', 'Счет мобильного телефона'), ('PB', 'Интернет-банк Промсвязьбанка'), ('PC', 'Кошелек Яндекс.Денег'), ('SB', 'Сбербанк Онлайн'), ('WM', 'Кошелек WebMoney'), ('QS', 'QiWi кошелёк')], default='PC', editable=False, max_length=2, verbose_name='Способ платежа')),
                ('invoice_id', models.CharField(blank=True, editable=False, max_length=64, verbose_name='Номер транзакции оператора')),
                ('order_sum', models.DecimalField(decimal_places=2, editable=False, max_digits=15, verbose_name='Сумма заказа')),
                ('shop_sum', models.DecimalField(decimal_places=2, editable=False, help_text='За вычетом коммиссии', max_digits=15, null=True, verbose_name='Сумма полученная на р/с')),
                ('order_currency', models.PositiveIntegerField(choices=[(643, 'Рубли'), (10643, 'Тестовая валюта')], default=643, editable=False, verbose_name='Валюта платежа')),
                ('shop_currency', models.PositiveIntegerField(choices=[(643, 'Рубли'), (10643, 'Тестовая валюта')], default=643, null=True, verbose_name='Валюта полученная на р/с')),
                ('payer_code', models.CharField(blank=True, editable=False, max_length=33, verbose_name='Номер виртуального счета')),
                ('cps_email', models.EmailField(blank=True, editable=False, max_length=254, verbose_name='Почта плательщика')),
                ('cps_phone', models.CharField(blank=True, editable=False, max_length=15, verbose_name='Телефон плательщика')),
                ('created', models.DateTimeField(auto_now_add=True, verbose_name='Создан')),
                ('performed', models.DateTimeField(null=True, verbose_name='Обработан')),
                ('completed', models.DateTimeField(null=True, verbose_name='Завершен')),
                ('user', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL, verbose_name='Пользователь')),
            ],
            options={
                'verbose_name': 'платеж',
                'verbose_name_plural': 'Платежи',
                'ordering': ('-created',),
            },
        ),
    ]
